@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", serif;
}

:root {
  --primary: #595ba8;
  --primary-dark: #272264;
  --secondary: #ffffff;
  --secondary-dark: #f3f4f6;
  --secondary-light: #f9f7fd;
  --light-black: #17181acc;
  --black: #141414;
  --black-primary: #141414cc;
  --gray: #d9d9d9;
}

body {
  /* overflow: hidden; */
  background-color: var(--secondary-light);
}
.text-primary {
  color: var(--primary);
}

.main-container {
  width: 100%;
  height: 100vh;
  display: flex;
}

.sidebar-container {
  width: 15.625rem;
  height: 100%;
  background-color: var(--primary-dark);
  position: fixed;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-left: 16px;
  z-index: 999;
  overflow: hidden;
}

.sidebar-toggle {
  display: none;
}

.close-icon {
  display: none;
  font-size: 24px;
  position: fixed;
  top: 10px;
  left: 10px;
  cursor: pointer;
  z-index: 1000;
  color: #333;
}
.hamburger {
  display: none;
}

.sidebar-toggle:checked ~ .hamburger {
  display: none;
}

.sidebar-toggle:checked ~ .sidebar-container {
  transform: translateX(0);
}

.sidebar-toggle:checked ~ .close-icon {
  display: block;
}

.logo-container {
  width: 120px;
  overflow: hidden;
  margin-top: 24px;
}

.logo-container img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.sidebar-list {
  width: 100%;
  margin-top: 24px;
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.sidebar-list > li {
  width: 100%;
  list-style-type: none;
}
.sidebar-link {
  width: 100%;
  padding: 12px;
  border-top-left-radius: 12px;
  border-bottom-left-radius: 12px;
  text-decoration: none;
  color: var(--secondary);
  display: inline-flex;
  gap: 12px;
  font-size: 14px;
}
.sidebar-link svg path {
  stroke: var(--secondary);
}
.active {
  color: var(--primary-dark);
  background-color: var(--secondary-light);
  position: relative;
}

.active::before {
  content: "";
  position: absolute;
  top: -100px;
  right: 0px;
  width: 100px;
  height: 100px;
  border-bottom-right-radius: 45px;
  box-shadow: 15px 15px 0 var(--secondary-light);
}
.active::after {
  content: "";
  position: absolute;
  bottom: -100px;
  right: 0px;
  width: 100px;
  height: 100px;
  border-top-right-radius: 45px;
  box-shadow: 15px -15px 0 var(--secondary-light);
}

.active svg path {
  stroke: var(--primary-dark);
}

.logout-button {
  width: 80%;
  margin-right: 20%;
  display: flex;
  align-items: center;
  justify-content: start;
  gap: 12px;
  padding: 18px;
  color: white;
  border: none;
  cursor: pointer;
  transition: all 0.3s;
  border-radius: 10px;
  margin-top: auto;
  margin-bottom: 48px;
  background-color: var(--primary-dark);
  background-image: linear-gradient(to right, #5347bd33, #8f7cc033);
}
.logout-button:hover {
  background-color: #2e2874;
  transition: all 0.3s ease-in-out;
}

/* ----------------------------------------------------------------------- */

.container {
  width: 100%;
  background-color: var(--secondary-light);
  overflow-y: auto;
  margin-left: 15.625rem;
  padding-inline: 40px;
  padding-block: 42px;
}

.header-container {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.header-right{
  display: flex;
  align-items: center;
  justify-content:end;
}
.cart {
  display: flex;
  align-items: center;
  justify-content: end;
  gap: 12px;
  padding: 18px 22px;
  background-color: white;
  border-radius: 8px;
  border: 1px solid #2c2e7833;
  position: relative;
}

.cart > p {
  font-size: 16px;
  font-weight: 500;
  color: #2c2e78;
}

.badge {
  background-color: #ff4842;
  color: #ffffff;
  border: 4px solid #f6f2ff;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 12px;
  border-radius: 100px;
  padding: 8px;
  width: 32px;
  height: 32px;
  position: absolute;
  top: -10px;
  right: -10px;
}
.search-bar {
  width: 100%;
  background-color: var(--secondary-dark);
  border-radius: 8px;
  padding-inline: 16px;
  padding-block: 12px;
  display: flex;
  align-items: center;
  gap: 12px;
}
.search-bar input {
  width: 100%;
  background-color: transparent;
  border: none;
  outline: none;
  font-size: 14px;
  color: #141414a6;
}
.notification {
  position: relative;
}
.notification-active {
  width: 8px;
  height: 8px;
  background-color: red;
  border-radius: 100%;
  position: absolute;
  top: 1px;
  right: 3px;
}
.profile-container {
  display: flex;
  align-items: center;
  gap: 8px;
}
.profile-image {
  width: 40px;
  height: 40px;
  border-radius: 100%;
  overflow: hidden;
}
.profile-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.table {
  width: 100%;
  border-collapse: collapse;
  background-color: var(--secondary);
}

.table-head {
  font-weight: 600 !important;
  font-size: 12px !important;
  text-align: left;
  background-color: #eff0f2cc;
  color: #141414a6 !important;
  padding-inline: 24px;
  padding-block: 16px;
}
.table-body {
  font-weight: 400 !important;
  font-size: 14px !important;
  color: #141414cc !important;
  padding: 24px;
}
.table-row:hover {
  cursor: pointer;
  box-shadow: 0px 4px 20px 0px #0f0f0f1a;
  transition: box-shadow 0.3s ease-in;
}
.table-body > .view-button {
  border: 1px solid #595ba8;
  border-radius: 100px;
  padding-inline: 31px;
  padding-block: 11px;
  color: #595ba8;
  background-color: transparent;
  text-decoration: none;
}
.table-body > .status {
  display: block;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  background-color: #2ab72c;
}

.table-row:nth-child(even) {
  background-color: #eff0f233;
}

.card {
  background-color: #fff;
  padding-block: 16px 24px;
  padding-inline: 16px;
  border-radius: 16px;
}

.card-img {
  min-height: 200px;
  background-color: #f0f2f7;
  border-radius: 12px;
}
.card-img > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.card-body {
  margin-block: 16px 24px;
}
.card-title {
  font-size: 20px;
  font-weight: 600;
  line-height: 26px;
  color: #141414;
}
.card-tags {
  margin-block: 16px;
  display: flex;
  align-items: center;
  gap: 8px;
}
.tag-item {
  background-color: #595ba81a;
  color: #141414cc;
  font-size: 12px;
  padding: 6px 12px;
  border-radius: 100px;
}

.card-description {
  font-size: 14px;
  line-height: 20px;
  color: #141414a6;
}

.card-footer {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.card-footer > p {
 font-size: 36px;
 font-weight: 500;
  color: #FF4842;
}
.card-footer > button {
  width: 249px;
  padding-block: 16px;
  border: 1px solid #595BA8;
  border-radius: 100px;
  color: #595BA8;
  background-color: transparent;
  font-weight: 600;
}

.status-body{
  display: inline-flex;
  align-items: center;
  gap: 6px;
}
/* ------------------Resources Hub----------------- */
.card-container {
  margin-top: 32px;
  gap: 24px;
}

/* -----------------utils----------------- */
.text-primary {
  color: var(--primary);
}

.text-faded {
  color: #141414bf !important;
}

.text-2xl {
  font-size: 48px;
}

.text-xl {
  font-size: 44px;
}

.text-lg {
  font-size: 20px;
}

.text-base {
  font-size: 16px;
}

.text-sm {
  font-size: 14px;
}

.text-xs {
  font-size: 12px;
}

.font-thin {
  font-weight: 300;
}

.font-normal {
  font-weight: 400;
}

.font-medium {
  font-weight: 500;
}

.font-semibold {
  font-weight: 600 !important;
}

.font-bold {
  font-weight: 700;
}

.text-center {
  text-align: center;
}

.uppercase {
  text-transform: uppercase;
}

.flex {
  display: flex;
}
.items-center {
  align-items: center;
}

.relative {
  position: relative;
}

.text-black-secondary {
  color: #141414a6;
}

.text-primary {
  color: var(--primary);
}
.text-secondary {
  color: var(--secondary);
}
.text-primary-dark {
  color: var(--primary-dark);
}
.text-secondary-dark {
  color: var(--secondary-dark);
}
.text-secondary-light {
  color: var(--secondary-light);
}
.text-light-black {
  color: var(--light-black);
}
.text-black {
  color: var(--black);
}
.text-black-primary {
  color: var(--black-primary);
}
.bg-secondary {
  background-color: var(--secondary);
}
.bg-gray {
  background-color: var(--gray);
}
.bg-secondary-light {
  background-color: var(--secondary-light);
}
.grid {
  display: grid;
}
.grid-cols-3 {
  grid-template-columns: repeat(3, 1fr);
}
